Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::XMSS_Key_Pair Class Reference

`#include <xmss_key_pair.h>`

## Public Member Functions
const XMSS_PrivateKey & | private_key () const
XMSS_PrivateKey & | private_key ()
const XMSS_PublicKey & | public_key () const
XMSS_PublicKey & | public_key ()
| XMSS_Key_Pair (XMSS_Parameters::xmss_algorithm_t xmss_oid, RandomNumberGenerator &rng)
| XMSS_Key_Pair (const XMSS_PublicKey &pub_key, const XMSS_PrivateKey &priv_key)
| XMSS_Key_Pair (XMSS_PublicKey &&pub_key, XMSS_PrivateKey &&priv_key)

## Detailed Description

A pair of XMSS public and private key.

Definition at line 23 of file xmss_key_pair.h.

## Constructor & Destructor Documentation

Botan::XMSS_Key_Pair::XMSS_Key_Pair | ( | XMSS_Parameters::xmss_algorithm_t | xmss_oid,
|  | RandomNumberGenerator & | rng
| ) |  |
| inline

Definition at line 26 of file xmss_key_pair.h.

28 : m_priv_key(xmss_oid, rng), m_pub_key(m_priv_key) {}

Botan::XMSS_Key_Pair::XMSS_Key_Pair | ( | const XMSS_PublicKey & | pub_key,
|  | const XMSS_PrivateKey & | priv_key
| ) |  |
| inline

Definition at line 30 of file xmss_key_pair.h.

32 : m_priv_key(priv_key), m_pub_key(pub_key)
33 {}

Botan::XMSS_Key_Pair::XMSS_Key_Pair | ( | XMSS_PublicKey && | pub_key,
|  | XMSS_PrivateKey && | priv_key
| ) |  |
| inline

Definition at line 35 of file xmss_key_pair.h.

37 : m_priv_key(std::move(priv_key)), m_pub_key(std::move(pub_key)) {}

## Member Function Documentation

const XMSS_PrivateKey& Botan::XMSS_Key_Pair::private_key | ( |  | ) | const
| inline

Definition at line 42 of file xmss_key_pair.h.

42 { return m_priv_key; }

XMSS_PrivateKey& Botan::XMSS_Key_Pair::private_key | ( |  | ) |
| inline

Definition at line 43 of file xmss_key_pair.h.

43 { return m_priv_key; }

const XMSS_PublicKey& Botan::XMSS_Key_Pair::public_key | ( |  | ) | const
| inline

Definition at line 39 of file xmss_key_pair.h.

39 { return m_pub_key; }

XMSS_PublicKey& Botan::XMSS_Key_Pair::public_key | ( |  | ) |
| inline

Definition at line 40 of file xmss_key_pair.h.

40 { return m_pub_key; }

The documentation for this class was generated from the following file:

- src/lib/pubkey/xmss/xmss_key_pair.h